Results 1 to 8 of 8

Thread: Existing Base Report now opens with error

  1. #1
    Join Date
    Sep 2008
    Location
    Germany
    Posts
    622

    Default Existing Base Report now opens with error

    I am using LO Base client to a backend MySQL database (on my local
    network). I created a set of reports with Base that worked in the past.
    For some reason now when opening a report an error message crops up and
    the report cannot be generated.

    Code:
    [jni_uno bridge error] UNO calling Java method execute: non-UNO
    exception occurred: java.lang.NoClassDefFoundError:Could not initialize
    class org.jfree.report.JFreeReportBoot
    This is followed by a java
    stack trace.


    It is evidently a problem with the packaging of LibreOffice in Leap 15.3 according to Libreoffice bug https://bugs.documentfoundation.org/....cgi?id=148841 .
    I am wondering whether this might be solved in Leap 15.3. in the near future, or whether my only option is to try to install LO Version 7.2.7. or 7.3.3 directly from the LibreOffice site?

    I am currently using
    Version: 7.2.5.1 / LibreOffice Community
    Build ID: 20(Build:1)
    CPU threads: 2; OS: Linux 5.3; UI render: default; VCL: gtk3
    Locale: en-GB (en_GB.UTF-8); UI: en-GB
    Calc: threaded

  2. #2
    Join Date
    Sep 2008
    Location
    Germany
    Posts
    622

    Default Re: Existing Base Report now opens with error

    Quote Originally Posted by hnimmo View Post
    I am using LO Base client to a backend MySQL database (on my local
    network). I created a set of reports with Base that worked in the past.
    For some reason now when opening a report an error message crops up and
    the report cannot be generated.

    Code:
    [jni_uno bridge error] UNO calling Java method execute: non-UNO
    exception occurred: java.lang.NoClassDefFoundError:Could not initialize
    class org.jfree.report.JFreeReportBoot
    This is followed by a java
    stack trace.


    It is evidently a problem with the packaging of LibreOffice in Leap 15.3 according to Libreoffice bug https://bugs.documentfoundation.org/....cgi?id=148841 .
    I am wondering whether this might be solved in Leap 15.3. in the near future, or whether my only option is to try to install LO Version 7.2.7. or 7.3.3 directly from the LibreOffice site?

    I am currently using
    Version: 7.2.5.1 / LibreOffice Community
    Build ID: 20(Build:1)
    CPU threads: 2; OS: Linux 5.3; UI render: default; VCL: gtk3
    Locale: en-GB (en_GB.UTF-8); UI: en-GB
    Calc: threaded
    Is my understanding correct that the Base report feature is a clone from some other report generator (e.g. oracle)? I wonder if anyone is working on its integration with LibreOffice/openSUSE Leap?

  3. #3
    Join Date
    Jan 2010
    Location
    Woerden, Nederland
    Posts
    13

    Default Re: Existing Base Report now opens with error

    This bug was reported and confirmed for Tumbleweed as Bug 1195634. It occurs not only when opening existing reports, but also when creating a new report.

    The temporary fix detailed in the bug report (i.e. changing the classpath by adding /usr/share/java to it) does not work for Leap 15.3.

  4. #4
    Join Date
    Sep 2008
    Location
    Germany
    Posts
    622

    Default Re: Existing Base Report now opens with error

    Quote Originally Posted by mennoholscher View Post
    This bug was reported and confirmed for Tumbleweed as Bug 1195634. It occurs not only when opening existing reports, but also when creating a new report.

    The temporary fix detailed in the bug report (i.e. changing the classpath by adding /usr/share/java to it) does not work for Leap 15.3.
    Thanks. That's good to know. At least I can wait for an update or a workable workaround in the meantime.

  5. #5

    Default Re: Existing Base Report now opens with error

    LibreOffice:7.3

    https://software.opensuse.org/download/package?package=libreoffice&project=LibreOffice%3A7.3


    For openSUSE Leap 15.4 run the following as root:
    Code:
    zypper addrepo https://download.opensuse.org/repositories/LibreOffice:7.3/openSUSE_Leap_15.4/LibreOffice:7.3.repo
    zypper refresh
    zypper install libreoffice
    For openSUSE Leap 15.3 run the following as root:
    Code:
    zypper addrepo https://download.opensuse.org/repositories/LibreOffice:7.3/openSUSE_Leap_15.3/LibreOffice:7.3.repo
    zypper refresh
    zypper install libreoffice

  6. #6
    Join Date
    Sep 2008
    Location
    Germany
    Posts
    622

    Default Re: Existing Base Report now opens with error

    Quote Originally Posted by Svyatko View Post
    LibreOffice:7.3

    https://software.opensuse.org/download/package?package=libreoffice&project=LibreOffice%3A7.3


    For openSUSE Leap 15.4 run the following as root:
    Code:
    zypper addrepo https://download.opensuse.org/repositories/LibreOffice:7.3/openSUSE_Leap_15.4/LibreOffice:7.3.repo
    zypper refresh
    zypper install libreoffice
    For openSUSE Leap 15.3 run the following as root:
    Code:
    zypper addrepo https://download.opensuse.org/repositories/LibreOffice:7.3/openSUSE_Leap_15.3/LibreOffice:7.3.repo
    zypper refresh
    zypper install libreoffice
    I followed the above for Leap 15.3. LO 7.3.4.2 is now successfully installed. However, the above-mentioned problem persists.

  7. #7
    Join Date
    Sep 2008
    Location
    Germany
    Posts
    622

    Default Re: Existing Base Report now opens with error

    Quote Originally Posted by hnimmo View Post
    I followed the above for Leap 15.3. LO 7.3.4.2 is now successfully installed. However, the above-mentioned problem persists.
    The problem is NOT present on reverting to LO 7.1.4.2-14.22.10.1.-x86-64

  8. #8
    Join Date
    Sep 2008
    Location
    Germany
    Posts
    622

    Default Re: Existing Base Report now opens with error

    Quote Originally Posted by hnimmo View Post
    The problem is NOT present on reverting to LO 7.1.4.2-14.22.10.1.-x86-64
    Isn't it the case that the LO-Base report generator is a legacy from StarOffice/OpenOffice days? In whose hands is the maintenance of that report generator now?

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •